{
  "project": {
    "actions": "",
    "description": "",
    "keepDependencies": false,
    "properties": {
      "com.coravy.hudson.plugins.github.GithubProjectProperty": {
        "plugin": "github@1.37.2",
        "projectUrl": "http://git.keyfil.com/saas-back-end/gitlab-tinybee/",
        "displayName": ""
      },
      "jenkins.model.BuildDiscarderProperty": {
        "strategy": {
          "class": "hudson.tasks.LogRotator",
          "daysToKeep": 7,
          "numToKeep": 10,
          "artifactDaysToKeep": -1,
          "artifactNumToKeep": -1
        }
      },
      "hudson.model.ParametersDefinitionProperty": {
        "parameterDefinitions": {
          "net.uaznia.lukanus.hudson.plugins.gitparameter.GitParameterDefinition": {
            "plugin": "git-parameter@0.9.19",
            "name": "branch",
            "description": "打包分支",
            "uuid": "7066989e-1654-4bc1-8688-df99f290fc5a",
            "type": "PT_BRANCH",
            "branch": "",
            "tagFilter": "*",
            "branchFilter": ".*",
            "sortMode": "NONE",
            "defaultValue": "origin/master",
            "selectedValue": "NONE",
            "quickFilterEnabled": false,
            "listSize": 5,
            "requiredParameter": false
          }
        }
      }
    },
    "scm": {
      "class": "hudson.plugins.git.GitSCM",
      "plugin": "git@5.0.2",
      "configVersion": 2,
      "userRemoteConfigs": {
        "hudson.plugins.git.UserRemoteConfig": {
          "url": "http://git.keyfil.com/saas-back-end/gitlab-tinybee.git",
          "credentialsId": "gitlab"
        }
      },
      "branches": {
        "hudson.plugins.git.BranchSpec": {
          "name": "${branch}"
        }
      },
      "doGenerateSubmoduleConfigurations": false,
      "browser": {
        "class": "hudson.plugins.git.browser.GithubWeb",
        "url": "http://git.keyfil.com/saas-back-end/gitlab-tinybee"
      },
      "submoduleCfg": {
        "class": "empty-list"
      },
      "extensions": ""
    },
    "canRoam": true,
    "disabled": false,
    "blockBuildWhenDownstreamBuilding": false,
    "blockBuildWhenUpstreamBuilding": false,
    "triggers": "",
    "concurrentBuild": false,
    "builders": {
      "hudson.tasks.Shell": {
        "command": "source /etc/profile\n# mvn clean package -DskipTests\nmvn clean install -Dmaven.test.skip=true\njar_name=$(ls target/ | grep \".jar\" | grep -v \"original\" | head -n 1)\ncat > Dockerfile <<EOF\nFROM openjdk:11\nADD target/$jar_name /app/$jar_name\nENV TZ=Asia/Shanghai\nEXPOSE 8082\nENTRYPOINT [\"java\", \"-jar\", \"/app/$jar_name\"]\nEOF\ntag=$(date +%s)\ndocker build -t harbor.qifu.com/qifu-test/gitlab-statistics:$tag .\ndocker push harbor.qifu.com/qifu-test/gitlab-statistics:$tag\nkubectl set image deployment/gitlab-statistics gitlab-statistics=harbor.qifu.com/qifu-test/gitlab-statistics:$tag -n qifu",
        "configuredLocalRules": ""
      }
    },
    "publishers": "",
    "buildWrappers": ""
  }
}